@echo off

REM ============================================================
REM Clear Java Cache if javaws exists
REM ------------------------------------------------------------
C:\Windows\System32\where.exe /Q javaws.exe

if %ERRORLEVEL% GEQ 1 (
	echo. 
	echo javaws does not exist. Moving to next process.
	echo. 
) else (
	echo. 
	echo Clearing Java Cache ...
	javaws.exe -clearcache -Xnosplash
	echo. 
)

REM ============================================================
REM Clear IE cache
REM ------------------------------------------------------------

echo Clearing Internet Explorer Cache ...
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 8

REM ============================================================
REM Clear Collab Launcher Cache
REM ------------------------------------------------------------

echo Clearing Blackboard Collaborate Launcher Cache ...
rd "%LOCALAPPDATA%\Blackboard\Blackboard Collaborate Launcher\collabLauncherCache" /S /Q > nul 2>&1

REM ============================================================
REM Clear Chrome Cache
REM ------------------------------------------------------------

echo Clearing Chrome Cache ...
rd "%LOCALAPPDATA%\Google\Chrome\User Data\Default\Cache" /S /Q > nul 2>&1

REM ============================================================
REM Clear Flash Cookies
REM ------------------------------------------------------------

echo Clearing Flash Cookies ...
rd "%APPDATA%\Macromedia\Flash Player" /S /Q > nul 2>&1

REM ============================================================
REM Delete the downloaded Collaborate files
REM ------------------------------------------------------------

echo Deleting Collaborate Downloaded files ...
del /Q /F C:\Users\%USERNAME%\Downloads\*.collab > nul 2>&1
del /Q /F C:\Users\%USERNAME%\Downloads\*.jnlp > nul 2>&1

REM ============================================================
REM Delete user TEMP files
REM ------------------------------------------------------------

echo Deleting temporary files ...
del "%TEMP%\*.*" /F /S /Q > nul 2>&1
for /D %%i in ("%TEMP%\*") do rd /S /Q "%%i" > nul 2>&1

REM ============================================================
REM Flush DNS
REM ------------------------------------------------------------

echo Flushing DNS Cache ...
iconfig /flushdns > nul 2>&1

REM ------------------------------------------------------------
echo.
echo Process Complete.  Press any key to close this window.
pause > nul
