@echo off
REM Install PAVCS Cleanup file & shortcut
REM ----------------------------------------------------------

set LOGFILE=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_ocs.log
set MSILOG=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_cleanup.log
set PWDIR=%~dp0
set MSICMD=
set QUIET=NO
set PKGNM=Clear Cache Script

mkdir c:\ocs > nul 2>&1

echo =========  Start install %PKGNM%  %date% - %time% ============= >> %LOGFILE%

REM ====================================================================
REM  check for any command line options
REM  use the /q option when run via OCS to put in quiet mode
REM ====================================================================
    set arg=%1
    if "%arg%" == "-q" (
       set QUIET=YES
    )
echo [[ %DATE% %TIME% ]] Quiet option defined >> %LOGFILE%
REM ====================================================================
REM Check if I am on a 64-bit machine or not.  On the 64-bit machines,
REM OCS runs in a 32-bit command prompt.  But I need the installer to 
REM via the 64-bit command prompt.
REM ====================================================================
if exist %WINDIR%\sysnative\cmd.exe (
	REM I am on a 64bit machine, running the 32bit command prompt
	set MSICMD=%WINDIR%\sysnative\msiexec.exe
) ELSE (
	REM I must be on a 32bit machine, or already running at the 64bit
	REM command prompt
	set MSICMD=msiexec.exe
)
echo [[ %DATE% %TIME% ]] 32bit/64bit option defined >> %LOGFILE%

REM ====================================================================
REM    "Install" Clear Cache Shortcuts
REM ====================================================================
if not %QUIET% == YES echo Adding Clear Cache Shortcut......
echo [[ %DATE% %TIME% ]] Adding Clear Cache Shortcut >> %LOGFILE%

mkdir c:\PAVCS\scripts > nul 2>&1

REM delete the old, outdated files
del "C:\PAVCS\scripts\clear_java_cache.bat" >> %LOGFILE% 2>&1
del "C:\PAVCS\scripts\clear_java_cache.ico" >> %LOGFILE% 2>&1
del "C:\Users\Public\Desktop\Clear Java Cache.lnk" >> %LOGFILE% 2>&1

REM insert new updated files
copy /Y "%PWDIR%\clear_cache.bat" "C:\PAVCS\scripts\" >> %LOGFILE%  2>&1
copy /Y "%PWDIR%\collab_clear.bat" "C:\PAVCS\scripts\" >> %LOGFILE%  2>&1
copy /Y "%PWDIR%\clear_cache.ico" "C:\PAVCS\scripts\" >> %LOGFILE%  2>&1
copy /Y "%PWDIR%\Clear Cache.lnk" "C:\Users\Public\Desktop\" >> %LOGFILE%  2>&1

goto :endgood

REM Something went really wrong if I get to this point
goto :endbad

REM ==============================================================
:failpost
	echo [[ %DATE% %TIME% ]] Error occurred after install >> %LOGFILE%
	if not %QUIET% == YES (
		echo PACKAGE: %PKGNM%
		echo ERROR CODE:  6
		echo DATE:  %DATE% %TIME%
		echo Escalate issue and include package name, and error level
		echo Press any key to close window
		pause > nul
	)
	exit 6

REM ==============================================================
:failinstall
	echo [[ %DATE% %TIME% ]] Error occurred during install >> %LOGFILE%
	if not %QUIET% == YES (
		echo PACKAGE: %PKGNM%
		echo ERROR CODE:  8
		echo DATE:  %DATE% %TIME%
		echo Escalate issue and include package name, and error level
		echo Press any key to close window
		pause > nul
	)
	exit 8

REM ==============================================================
:endbad
	echo [[ %DATE% %TIME% ]] Something went horribly wrong >> %LOGFILE%
	if not %QUIET% == YES (
		echo PACKAGE: %PKGNM%
		echo ERROR CODE:  100
		echo DATE:  %DATE% %TIME%
		echo Escalate issue and include package name, and error level
		echo Press any key to close window
		pause > nul
	)
	exit 100

REM ==============================================================
:endgood
	echo [[ %DATE% %TIME% ]] %PKGNM% completed with no errors reported >> %LOGFILE%
	if not %QUIET% == YES (
		echo PACKAGE: %PKGNM%
		echo ERROR CODE: 0
		echo DATE:  %DATE% %TIME%
		echo Package has completed successfully.
		echo Press any key to close window
		pause > nul
	)
	exit
